GET api/communicationupdatespatients/search?page={page}&itemsPerPage={itemsPerPage}&patientExternalID={patientExternalID}&method={method}&alreadySent={alreadySent}

Returns a list of patients changed through communications.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

patientExternalID

Patient external ID

string

Default value is empty string ("")

method

Filters the list of patient update based on communication method.

string

Default value is empty string ("")

alreadySent

Filters the list of patient update based on whether they have been sent to the integrating system or not.

boolean

Default value is False

Body Parameters

None.

Response Information

Resource Description

ListModelOfPatientUpdateModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of PatientUpdateModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "patientUpdateID": "e259f5ae-7350-490f-a5fe-6519aa11b79f",
      "patientExternalID": "sample string 2",
      "updateAllowEmailTo": true,
      "updateAllowEmailRemindersTo": true,
      "updateAllowEmailBirthdayTo": true,
      "updateAllowEmailThankYouTo": true,
      "updateAllowEmailEyewearTo": true,
      "updateAllowEmailPromotionsTo": true,
      "updateAllowSmsTo": true,
      "updateAllowSmsRemindersTo": true,
      "updateAllowSmsBirthdayTo": true,
      "updateAllowSmsThankYouTo": true,
      "updateAllowSmsEyewearTo": true,
      "updateAllowSmsPromotionsTo": true,
      "updateAllowVoiceTo": true,
      "updateAllowVoiceRemindersTo": true,
      "updateAllowVoiceBirthdayTo": true,
      "updateAllowVoiceThankYouTo": true,
      "updateAllowVoiceEyewearTo": true,
      "updateAllowVoicePromotionsTo": true,
      "recallContactLater": true,
      "contactLensesContactLater": true,
      "method": "sample string 1",
      "updateEmailAddressAliasTo": "sample string 3",
      "updateEmailAddressTo": "sample string 4",
      "updateSmsPhoneAliasTo": "sample string 5",
      "updateSmsPhoneTo": "sample string 6",
      "updateVoicePhoneAliasTo": "sample string 7",
      "updateVoicePhoneTo": "sample string 8"
    },
    {
      "patientUpdateID": "e259f5ae-7350-490f-a5fe-6519aa11b79f",
      "patientExternalID": "sample string 2",
      "updateAllowEmailTo": true,
      "updateAllowEmailRemindersTo": true,
      "updateAllowEmailBirthdayTo": true,
      "updateAllowEmailThankYouTo": true,
      "updateAllowEmailEyewearTo": true,
      "updateAllowEmailPromotionsTo": true,
      "updateAllowSmsTo": true,
      "updateAllowSmsRemindersTo": true,
      "updateAllowSmsBirthdayTo": true,
      "updateAllowSmsThankYouTo": true,
      "updateAllowSmsEyewearTo": true,
      "updateAllowSmsPromotionsTo": true,
      "updateAllowVoiceTo": true,
      "updateAllowVoiceRemindersTo": true,
      "updateAllowVoiceBirthdayTo": true,
      "updateAllowVoiceThankYouTo": true,
      "updateAllowVoiceEyewearTo": true,
      "updateAllowVoicePromotionsTo": true,
      "recallContactLater": true,
      "contactLensesContactLater": true,
      "method": "sample string 1",
      "updateEmailAddressAliasTo": "sample string 3",
      "updateEmailAddressTo": "sample string 4",
      "updateSmsPhoneAliasTo": "sample string 5",
      "updateSmsPhoneTo": "sample string 6",
      "updateVoicePhoneAliasTo": "sample string 7",
      "updateVoicePhoneTo": "sample string 8"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfPatientUpdateModelaGCsyYpg xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientUpdates">
    <d2p1:PatientUpdateModel>
      <d2p1:ContactLensesContactLater>true</d2p1:ContactLensesContactLater>
      <d2p1:Method>sample string 1</d2p1:Method>
      <d2p1:PatientExternalID>sample string 2</d2p1:PatientExternalID>
      <d2p1:PatientUpdateID>e259f5ae-7350-490f-a5fe-6519aa11b79f</d2p1:PatientUpdateID>
      <d2p1:RecallContactLater>true</d2p1:RecallContactLater>
      <d2p1:UpdateAllowEmailBirthdayTo>true</d2p1:UpdateAllowEmailBirthdayTo>
      <d2p1:UpdateAllowEmailEyewearTo>true</d2p1:UpdateAllowEmailEyewearTo>
      <d2p1:UpdateAllowEmailPromotionsTo>true</d2p1:UpdateAllowEmailPromotionsTo>
      <d2p1:UpdateAllowEmailRemindersTo>true</d2p1:UpdateAllowEmailRemindersTo>
      <d2p1:UpdateAllowEmailThankYouTo>true</d2p1:UpdateAllowEmailThankYouTo>
      <d2p1:UpdateAllowEmailTo>true</d2p1:UpdateAllowEmailTo>
      <d2p1:UpdateAllowSmsBirthdayTo>true</d2p1:UpdateAllowSmsBirthdayTo>
      <d2p1:UpdateAllowSmsEyewearTo>true</d2p1:UpdateAllowSmsEyewearTo>
      <d2p1:UpdateAllowSmsPromotionsTo>true</d2p1:UpdateAllowSmsPromotionsTo>
      <d2p1:UpdateAllowSmsRemindersTo>true</d2p1:UpdateAllowSmsRemindersTo>
      <d2p1:UpdateAllowSmsThankYouTo>true</d2p1:UpdateAllowSmsThankYouTo>
      <d2p1:UpdateAllowSmsTo>true</d2p1:UpdateAllowSmsTo>
      <d2p1:UpdateAllowVoiceBirthdayTo>true</d2p1:UpdateAllowVoiceBirthdayTo>
      <d2p1:UpdateAllowVoiceEyewearTo>true</d2p1:UpdateAllowVoiceEyewearTo>
      <d2p1:UpdateAllowVoicePromotionsTo>true</d2p1:UpdateAllowVoicePromotionsTo>
      <d2p1:UpdateAllowVoiceRemindersTo>true</d2p1:UpdateAllowVoiceRemindersTo>
      <d2p1:UpdateAllowVoiceThankYouTo>true</d2p1:UpdateAllowVoiceThankYouTo>
      <d2p1:UpdateAllowVoiceTo>true</d2p1:UpdateAllowVoiceTo>
      <d2p1:UpdateEmailAddressAliasTo>sample string 3</d2p1:UpdateEmailAddressAliasTo>
      <d2p1:UpdateEmailAddressTo>sample string 4</d2p1:UpdateEmailAddressTo>
      <d2p1:UpdateSmsPhoneAliasTo>sample string 5</d2p1:UpdateSmsPhoneAliasTo>
      <d2p1:UpdateSmsPhoneTo>sample string 6</d2p1:UpdateSmsPhoneTo>
      <d2p1:UpdateVoicePhoneAliasTo>sample string 7</d2p1:UpdateVoicePhoneAliasTo>
      <d2p1:UpdateVoicePhoneTo>sample string 8</d2p1:UpdateVoicePhoneTo>
    </d2p1:PatientUpdateModel>
    <d2p1:PatientUpdateModel>
      <d2p1:ContactLensesContactLater>true</d2p1:ContactLensesContactLater>
      <d2p1:Method>sample string 1</d2p1:Method>
      <d2p1:PatientExternalID>sample string 2</d2p1:PatientExternalID>
      <d2p1:PatientUpdateID>e259f5ae-7350-490f-a5fe-6519aa11b79f</d2p1:PatientUpdateID>
      <d2p1:RecallContactLater>true</d2p1:RecallContactLater>
      <d2p1:UpdateAllowEmailBirthdayTo>true</d2p1:UpdateAllowEmailBirthdayTo>
      <d2p1:UpdateAllowEmailEyewearTo>true</d2p1:UpdateAllowEmailEyewearTo>
      <d2p1:UpdateAllowEmailPromotionsTo>true</d2p1:UpdateAllowEmailPromotionsTo>
      <d2p1:UpdateAllowEmailRemindersTo>true</d2p1:UpdateAllowEmailRemindersTo>
      <d2p1:UpdateAllowEmailThankYouTo>true</d2p1:UpdateAllowEmailThankYouTo>
      <d2p1:UpdateAllowEmailTo>true</d2p1:UpdateAllowEmailTo>
      <d2p1:UpdateAllowSmsBirthdayTo>true</d2p1:UpdateAllowSmsBirthdayTo>
      <d2p1:UpdateAllowSmsEyewearTo>true</d2p1:UpdateAllowSmsEyewearTo>
      <d2p1:UpdateAllowSmsPromotionsTo>true</d2p1:UpdateAllowSmsPromotionsTo>
      <d2p1:UpdateAllowSmsRemindersTo>true</d2p1:UpdateAllowSmsRemindersTo>
      <d2p1:UpdateAllowSmsThankYouTo>true</d2p1:UpdateAllowSmsThankYouTo>
      <d2p1:UpdateAllowSmsTo>true</d2p1:UpdateAllowSmsTo>
      <d2p1:UpdateAllowVoiceBirthdayTo>true</d2p1:UpdateAllowVoiceBirthdayTo>
      <d2p1:UpdateAllowVoiceEyewearTo>true</d2p1:UpdateAllowVoiceEyewearTo>
      <d2p1:UpdateAllowVoicePromotionsTo>true</d2p1:UpdateAllowVoicePromotionsTo>
      <d2p1:UpdateAllowVoiceRemindersTo>true</d2p1:UpdateAllowVoiceRemindersTo>
      <d2p1:UpdateAllowVoiceThankYouTo>true</d2p1:UpdateAllowVoiceThankYouTo>
      <d2p1:UpdateAllowVoiceTo>true</d2p1:UpdateAllowVoiceTo>
      <d2p1:UpdateEmailAddressAliasTo>sample string 3</d2p1:UpdateEmailAddressAliasTo>
      <d2p1:UpdateEmailAddressTo>sample string 4</d2p1:UpdateEmailAddressTo>
      <d2p1:UpdateSmsPhoneAliasTo>sample string 5</d2p1:UpdateSmsPhoneAliasTo>
      <d2p1:UpdateSmsPhoneTo>sample string 6</d2p1:UpdateSmsPhoneTo>
      <d2p1:UpdateVoicePhoneAliasTo>sample string 7</d2p1:UpdateVoicePhoneAliasTo>
      <d2p1:UpdateVoicePhoneTo>sample string 8</d2p1:UpdateVoicePhoneTo>
    </d2p1:PatientUpdateModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfPatientUpdateModelaGCsyYpg>